Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network120.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
120.167.0.0
Broadcast address
120.167.255.255
First usable
120.167.0.1
Last usable
120.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 78A70000 · Integer 2024210432 to 2024275967
Reverse DNS zone
167.120.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111000.10100111..00000000.00000000120.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01111000.10100111..00000000.00000000120.167.0.0
Broadcast01111000.10100111..11111111.11111111120.167.255.255
Split into smaller subnets/24

120.167.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1120.167.0.0/24120.167.0.1 to 120.167.0.254120.167.0.255254
2120.167.1.0/24120.167.1.1 to 120.167.1.254120.167.1.255254
3120.167.2.0/24120.167.2.1 to 120.167.2.254120.167.2.255254
4120.167.3.0/24120.167.3.1 to 120.167.3.254120.167.3.255254
5120.167.4.0/24120.167.4.1 to 120.167.4.254120.167.4.255254
6120.167.5.0/24120.167.5.1 to 120.167.5.254120.167.5.255254
7120.167.6.0/24120.167.6.1 to 120.167.6.254120.167.6.255254
8120.167.7.0/24120.167.7.1 to 120.167.7.254120.167.7.255254
9120.167.8.0/24120.167.8.1 to 120.167.8.254120.167.8.255254
10120.167.9.0/24120.167.9.1 to 120.167.9.254120.167.9.255254
11120.167.10.0/24120.167.10.1 to 120.167.10.254120.167.10.255254
12120.167.11.0/24120.167.11.1 to 120.167.11.254120.167.11.255254
13120.167.12.0/24120.167.12.1 to 120.167.12.254120.167.12.255254
14120.167.13.0/24120.167.13.1 to 120.167.13.254120.167.13.255254
15120.167.14.0/24120.167.14.1 to 120.167.14.254120.167.14.255254
16120.167.15.0/24120.167.15.1 to 120.167.15.254120.167.15.255254
17120.167.16.0/24120.167.16.1 to 120.167.16.254120.167.16.255254
18120.167.17.0/24120.167.17.1 to 120.167.17.254120.167.17.255254
19120.167.18.0/24120.167.18.1 to 120.167.18.254120.167.18.255254
20120.167.19.0/24120.167.19.1 to 120.167.19.254120.167.19.255254
21120.167.20.0/24120.167.20.1 to 120.167.20.254120.167.20.255254
22120.167.21.0/24120.167.21.1 to 120.167.21.254120.167.21.255254
23120.167.22.0/24120.167.22.1 to 120.167.22.254120.167.22.255254
24120.167.23.0/24120.167.23.1 to 120.167.23.254120.167.23.255254
25120.167.24.0/24120.167.24.1 to 120.167.24.254120.167.24.255254
26120.167.25.0/24120.167.25.1 to 120.167.25.254120.167.25.255254
27120.167.26.0/24120.167.26.1 to 120.167.26.254120.167.26.255254
28120.167.27.0/24120.167.27.1 to 120.167.27.254120.167.27.255254
29120.167.28.0/24120.167.28.1 to 120.167.28.254120.167.28.255254
30120.167.29.0/24120.167.29.1 to 120.167.29.254120.167.29.255254
31120.167.30.0/24120.167.30.1 to 120.167.30.254120.167.30.255254
32120.167.31.0/24120.167.31.1 to 120.167.31.254120.167.31.255254
33120.167.32.0/24120.167.32.1 to 120.167.32.254120.167.32.255254
34120.167.33.0/24120.167.33.1 to 120.167.33.254120.167.33.255254
35120.167.34.0/24120.167.34.1 to 120.167.34.254120.167.34.255254
36120.167.35.0/24120.167.35.1 to 120.167.35.254120.167.35.255254
37120.167.36.0/24120.167.36.1 to 120.167.36.254120.167.36.255254
38120.167.37.0/24120.167.37.1 to 120.167.37.254120.167.37.255254
39120.167.38.0/24120.167.38.1 to 120.167.38.254120.167.38.255254
40120.167.39.0/24120.167.39.1 to 120.167.39.254120.167.39.255254
41120.167.40.0/24120.167.40.1 to 120.167.40.254120.167.40.255254
42120.167.41.0/24120.167.41.1 to 120.167.41.254120.167.41.255254
43120.167.42.0/24120.167.42.1 to 120.167.42.254120.167.42.255254
44120.167.43.0/24120.167.43.1 to 120.167.43.254120.167.43.255254
45120.167.44.0/24120.167.44.1 to 120.167.44.254120.167.44.255254
46120.167.45.0/24120.167.45.1 to 120.167.45.254120.167.45.255254
47120.167.46.0/24120.167.46.1 to 120.167.46.254120.167.46.255254
48120.167.47.0/24120.167.47.1 to 120.167.47.254120.167.47.255254
49120.167.48.0/24120.167.48.1 to 120.167.48.254120.167.48.255254
50120.167.49.0/24120.167.49.1 to 120.167.49.254120.167.49.255254
51120.167.50.0/24120.167.50.1 to 120.167.50.254120.167.50.255254
52120.167.51.0/24120.167.51.1 to 120.167.51.254120.167.51.255254
53120.167.52.0/24120.167.52.1 to 120.167.52.254120.167.52.255254
54120.167.53.0/24120.167.53.1 to 120.167.53.254120.167.53.255254
55120.167.54.0/24120.167.54.1 to 120.167.54.254120.167.54.255254
56120.167.55.0/24120.167.55.1 to 120.167.55.254120.167.55.255254
57120.167.56.0/24120.167.56.1 to 120.167.56.254120.167.56.255254
58120.167.57.0/24120.167.57.1 to 120.167.57.254120.167.57.255254
59120.167.58.0/24120.167.58.1 to 120.167.58.254120.167.58.255254
60120.167.59.0/24120.167.59.1 to 120.167.59.254120.167.59.255254
61120.167.60.0/24120.167.60.1 to 120.167.60.254120.167.60.255254
62120.167.61.0/24120.167.61.1 to 120.167.61.254120.167.61.255254
63120.167.62.0/24120.167.62.1 to 120.167.62.254120.167.62.255254
64120.167.63.0/24120.167.63.1 to 120.167.63.254120.167.63.255254
65120.167.64.0/24120.167.64.1 to 120.167.64.254120.167.64.255254
66120.167.65.0/24120.167.65.1 to 120.167.65.254120.167.65.255254
67120.167.66.0/24120.167.66.1 to 120.167.66.254120.167.66.255254
68120.167.67.0/24120.167.67.1 to 120.167.67.254120.167.67.255254
69120.167.68.0/24120.167.68.1 to 120.167.68.254120.167.68.255254
70120.167.69.0/24120.167.69.1 to 120.167.69.254120.167.69.255254
71120.167.70.0/24120.167.70.1 to 120.167.70.254120.167.70.255254
72120.167.71.0/24120.167.71.1 to 120.167.71.254120.167.71.255254
73120.167.72.0/24120.167.72.1 to 120.167.72.254120.167.72.255254
74120.167.73.0/24120.167.73.1 to 120.167.73.254120.167.73.255254
75120.167.74.0/24120.167.74.1 to 120.167.74.254120.167.74.255254
76120.167.75.0/24120.167.75.1 to 120.167.75.254120.167.75.255254
77120.167.76.0/24120.167.76.1 to 120.167.76.254120.167.76.255254
78120.167.77.0/24120.167.77.1 to 120.167.77.254120.167.77.255254
79120.167.78.0/24120.167.78.1 to 120.167.78.254120.167.78.255254
80120.167.79.0/24120.167.79.1 to 120.167.79.254120.167.79.255254
81120.167.80.0/24120.167.80.1 to 120.167.80.254120.167.80.255254
82120.167.81.0/24120.167.81.1 to 120.167.81.254120.167.81.255254
83120.167.82.0/24120.167.82.1 to 120.167.82.254120.167.82.255254
84120.167.83.0/24120.167.83.1 to 120.167.83.254120.167.83.255254
85120.167.84.0/24120.167.84.1 to 120.167.84.254120.167.84.255254
86120.167.85.0/24120.167.85.1 to 120.167.85.254120.167.85.255254
87120.167.86.0/24120.167.86.1 to 120.167.86.254120.167.86.255254
88120.167.87.0/24120.167.87.1 to 120.167.87.254120.167.87.255254
89120.167.88.0/24120.167.88.1 to 120.167.88.254120.167.88.255254
90120.167.89.0/24120.167.89.1 to 120.167.89.254120.167.89.255254
91120.167.90.0/24120.167.90.1 to 120.167.90.254120.167.90.255254
92120.167.91.0/24120.167.91.1 to 120.167.91.254120.167.91.255254
93120.167.92.0/24120.167.92.1 to 120.167.92.254120.167.92.255254
94120.167.93.0/24120.167.93.1 to 120.167.93.254120.167.93.255254
95120.167.94.0/24120.167.94.1 to 120.167.94.254120.167.94.255254
96120.167.95.0/24120.167.95.1 to 120.167.95.254120.167.95.255254
97120.167.96.0/24120.167.96.1 to 120.167.96.254120.167.96.255254
98120.167.97.0/24120.167.97.1 to 120.167.97.254120.167.97.255254
99120.167.98.0/24120.167.98.1 to 120.167.98.254120.167.98.255254
100120.167.99.0/24120.167.99.1 to 120.167.99.254120.167.99.255254
101120.167.100.0/24120.167.100.1 to 120.167.100.254120.167.100.255254
102120.167.101.0/24120.167.101.1 to 120.167.101.254120.167.101.255254
103120.167.102.0/24120.167.102.1 to 120.167.102.254120.167.102.255254
104120.167.103.0/24120.167.103.1 to 120.167.103.254120.167.103.255254
105120.167.104.0/24120.167.104.1 to 120.167.104.254120.167.104.255254
106120.167.105.0/24120.167.105.1 to 120.167.105.254120.167.105.255254
107120.167.106.0/24120.167.106.1 to 120.167.106.254120.167.106.255254
108120.167.107.0/24120.167.107.1 to 120.167.107.254120.167.107.255254
109120.167.108.0/24120.167.108.1 to 120.167.108.254120.167.108.255254
110120.167.109.0/24120.167.109.1 to 120.167.109.254120.167.109.255254
111120.167.110.0/24120.167.110.1 to 120.167.110.254120.167.110.255254
112120.167.111.0/24120.167.111.1 to 120.167.111.254120.167.111.255254
113120.167.112.0/24120.167.112.1 to 120.167.112.254120.167.112.255254
114120.167.113.0/24120.167.113.1 to 120.167.113.254120.167.113.255254
115120.167.114.0/24120.167.114.1 to 120.167.114.254120.167.114.255254
116120.167.115.0/24120.167.115.1 to 120.167.115.254120.167.115.255254
117120.167.116.0/24120.167.116.1 to 120.167.116.254120.167.116.255254
118120.167.117.0/24120.167.117.1 to 120.167.117.254120.167.117.255254
119120.167.118.0/24120.167.118.1 to 120.167.118.254120.167.118.255254
120120.167.119.0/24120.167.119.1 to 120.167.119.254120.167.119.255254
121120.167.120.0/24120.167.120.1 to 120.167.120.254120.167.120.255254
122120.167.121.0/24120.167.121.1 to 120.167.121.254120.167.121.255254
123120.167.122.0/24120.167.122.1 to 120.167.122.254120.167.122.255254
124120.167.123.0/24120.167.123.1 to 120.167.123.254120.167.123.255254
125120.167.124.0/24120.167.124.1 to 120.167.124.254120.167.124.255254
126120.167.125.0/24120.167.125.1 to 120.167.125.254120.167.125.255254
127120.167.126.0/24120.167.126.1 to 120.167.126.254120.167.126.255254
128120.167.127.0/24120.167.127.1 to 120.167.127.254120.167.127.255254
129120.167.128.0/24120.167.128.1 to 120.167.128.254120.167.128.255254
130120.167.129.0/24120.167.129.1 to 120.167.129.254120.167.129.255254
131120.167.130.0/24120.167.130.1 to 120.167.130.254120.167.130.255254
132120.167.131.0/24120.167.131.1 to 120.167.131.254120.167.131.255254
133120.167.132.0/24120.167.132.1 to 120.167.132.254120.167.132.255254
134120.167.133.0/24120.167.133.1 to 120.167.133.254120.167.133.255254
135120.167.134.0/24120.167.134.1 to 120.167.134.254120.167.134.255254
136120.167.135.0/24120.167.135.1 to 120.167.135.254120.167.135.255254
137120.167.136.0/24120.167.136.1 to 120.167.136.254120.167.136.255254
138120.167.137.0/24120.167.137.1 to 120.167.137.254120.167.137.255254
139120.167.138.0/24120.167.138.1 to 120.167.138.254120.167.138.255254
140120.167.139.0/24120.167.139.1 to 120.167.139.254120.167.139.255254
141120.167.140.0/24120.167.140.1 to 120.167.140.254120.167.140.255254
142120.167.141.0/24120.167.141.1 to 120.167.141.254120.167.141.255254
143120.167.142.0/24120.167.142.1 to 120.167.142.254120.167.142.255254
144120.167.143.0/24120.167.143.1 to 120.167.143.254120.167.143.255254
145120.167.144.0/24120.167.144.1 to 120.167.144.254120.167.144.255254
146120.167.145.0/24120.167.145.1 to 120.167.145.254120.167.145.255254
147120.167.146.0/24120.167.146.1 to 120.167.146.254120.167.146.255254
148120.167.147.0/24120.167.147.1 to 120.167.147.254120.167.147.255254
149120.167.148.0/24120.167.148.1 to 120.167.148.254120.167.148.255254
150120.167.149.0/24120.167.149.1 to 120.167.149.254120.167.149.255254
151120.167.150.0/24120.167.150.1 to 120.167.150.254120.167.150.255254
152120.167.151.0/24120.167.151.1 to 120.167.151.254120.167.151.255254
153120.167.152.0/24120.167.152.1 to 120.167.152.254120.167.152.255254
154120.167.153.0/24120.167.153.1 to 120.167.153.254120.167.153.255254
155120.167.154.0/24120.167.154.1 to 120.167.154.254120.167.154.255254
156120.167.155.0/24120.167.155.1 to 120.167.155.254120.167.155.255254
157120.167.156.0/24120.167.156.1 to 120.167.156.254120.167.156.255254
158120.167.157.0/24120.167.157.1 to 120.167.157.254120.167.157.255254
159120.167.158.0/24120.167.158.1 to 120.167.158.254120.167.158.255254
160120.167.159.0/24120.167.159.1 to 120.167.159.254120.167.159.255254
161120.167.160.0/24120.167.160.1 to 120.167.160.254120.167.160.255254
162120.167.161.0/24120.167.161.1 to 120.167.161.254120.167.161.255254
163120.167.162.0/24120.167.162.1 to 120.167.162.254120.167.162.255254
164120.167.163.0/24120.167.163.1 to 120.167.163.254120.167.163.255254
165120.167.164.0/24120.167.164.1 to 120.167.164.254120.167.164.255254
166120.167.165.0/24120.167.165.1 to 120.167.165.254120.167.165.255254
167120.167.166.0/24120.167.166.1 to 120.167.166.254120.167.166.255254
168120.167.167.0/24120.167.167.1 to 120.167.167.254120.167.167.255254
169120.167.168.0/24120.167.168.1 to 120.167.168.254120.167.168.255254
170120.167.169.0/24120.167.169.1 to 120.167.169.254120.167.169.255254
171120.167.170.0/24120.167.170.1 to 120.167.170.254120.167.170.255254
172120.167.171.0/24120.167.171.1 to 120.167.171.254120.167.171.255254
173120.167.172.0/24120.167.172.1 to 120.167.172.254120.167.172.255254
174120.167.173.0/24120.167.173.1 to 120.167.173.254120.167.173.255254
175120.167.174.0/24120.167.174.1 to 120.167.174.254120.167.174.255254
176120.167.175.0/24120.167.175.1 to 120.167.175.254120.167.175.255254
177120.167.176.0/24120.167.176.1 to 120.167.176.254120.167.176.255254
178120.167.177.0/24120.167.177.1 to 120.167.177.254120.167.177.255254
179120.167.178.0/24120.167.178.1 to 120.167.178.254120.167.178.255254
180120.167.179.0/24120.167.179.1 to 120.167.179.254120.167.179.255254
181120.167.180.0/24120.167.180.1 to 120.167.180.254120.167.180.255254
182120.167.181.0/24120.167.181.1 to 120.167.181.254120.167.181.255254
183120.167.182.0/24120.167.182.1 to 120.167.182.254120.167.182.255254
184120.167.183.0/24120.167.183.1 to 120.167.183.254120.167.183.255254
185120.167.184.0/24120.167.184.1 to 120.167.184.254120.167.184.255254
186120.167.185.0/24120.167.185.1 to 120.167.185.254120.167.185.255254
187120.167.186.0/24120.167.186.1 to 120.167.186.254120.167.186.255254
188120.167.187.0/24120.167.187.1 to 120.167.187.254120.167.187.255254
189120.167.188.0/24120.167.188.1 to 120.167.188.254120.167.188.255254
190120.167.189.0/24120.167.189.1 to 120.167.189.254120.167.189.255254
191120.167.190.0/24120.167.190.1 to 120.167.190.254120.167.190.255254
192120.167.191.0/24120.167.191.1 to 120.167.191.254120.167.191.255254
193120.167.192.0/24120.167.192.1 to 120.167.192.254120.167.192.255254
194120.167.193.0/24120.167.193.1 to 120.167.193.254120.167.193.255254
195120.167.194.0/24120.167.194.1 to 120.167.194.254120.167.194.255254
196120.167.195.0/24120.167.195.1 to 120.167.195.254120.167.195.255254
197120.167.196.0/24120.167.196.1 to 120.167.196.254120.167.196.255254
198120.167.197.0/24120.167.197.1 to 120.167.197.254120.167.197.255254
199120.167.198.0/24120.167.198.1 to 120.167.198.254120.167.198.255254
200120.167.199.0/24120.167.199.1 to 120.167.199.254120.167.199.255254
201120.167.200.0/24120.167.200.1 to 120.167.200.254120.167.200.255254
202120.167.201.0/24120.167.201.1 to 120.167.201.254120.167.201.255254
203120.167.202.0/24120.167.202.1 to 120.167.202.254120.167.202.255254
204120.167.203.0/24120.167.203.1 to 120.167.203.254120.167.203.255254
205120.167.204.0/24120.167.204.1 to 120.167.204.254120.167.204.255254
206120.167.205.0/24120.167.205.1 to 120.167.205.254120.167.205.255254
207120.167.206.0/24120.167.206.1 to 120.167.206.254120.167.206.255254
208120.167.207.0/24120.167.207.1 to 120.167.207.254120.167.207.255254
209120.167.208.0/24120.167.208.1 to 120.167.208.254120.167.208.255254
210120.167.209.0/24120.167.209.1 to 120.167.209.254120.167.209.255254
211120.167.210.0/24120.167.210.1 to 120.167.210.254120.167.210.255254
212120.167.211.0/24120.167.211.1 to 120.167.211.254120.167.211.255254
213120.167.212.0/24120.167.212.1 to 120.167.212.254120.167.212.255254
214120.167.213.0/24120.167.213.1 to 120.167.213.254120.167.213.255254
215120.167.214.0/24120.167.214.1 to 120.167.214.254120.167.214.255254
216120.167.215.0/24120.167.215.1 to 120.167.215.254120.167.215.255254
217120.167.216.0/24120.167.216.1 to 120.167.216.254120.167.216.255254
218120.167.217.0/24120.167.217.1 to 120.167.217.254120.167.217.255254
219120.167.218.0/24120.167.218.1 to 120.167.218.254120.167.218.255254
220120.167.219.0/24120.167.219.1 to 120.167.219.254120.167.219.255254
221120.167.220.0/24120.167.220.1 to 120.167.220.254120.167.220.255254
222120.167.221.0/24120.167.221.1 to 120.167.221.254120.167.221.255254
223120.167.222.0/24120.167.222.1 to 120.167.222.254120.167.222.255254
224120.167.223.0/24120.167.223.1 to 120.167.223.254120.167.223.255254
225120.167.224.0/24120.167.224.1 to 120.167.224.254120.167.224.255254
226120.167.225.0/24120.167.225.1 to 120.167.225.254120.167.225.255254
227120.167.226.0/24120.167.226.1 to 120.167.226.254120.167.226.255254
228120.167.227.0/24120.167.227.1 to 120.167.227.254120.167.227.255254
229120.167.228.0/24120.167.228.1 to 120.167.228.254120.167.228.255254
230120.167.229.0/24120.167.229.1 to 120.167.229.254120.167.229.255254
231120.167.230.0/24120.167.230.1 to 120.167.230.254120.167.230.255254
232120.167.231.0/24120.167.231.1 to 120.167.231.254120.167.231.255254
233120.167.232.0/24120.167.232.1 to 120.167.232.254120.167.232.255254
234120.167.233.0/24120.167.233.1 to 120.167.233.254120.167.233.255254
235120.167.234.0/24120.167.234.1 to 120.167.234.254120.167.234.255254
236120.167.235.0/24120.167.235.1 to 120.167.235.254120.167.235.255254
237120.167.236.0/24120.167.236.1 to 120.167.236.254120.167.236.255254
238120.167.237.0/24120.167.237.1 to 120.167.237.254120.167.237.255254
239120.167.238.0/24120.167.238.1 to 120.167.238.254120.167.238.255254
240120.167.239.0/24120.167.239.1 to 120.167.239.254120.167.239.255254
241120.167.240.0/24120.167.240.1 to 120.167.240.254120.167.240.255254
242120.167.241.0/24120.167.241.1 to 120.167.241.254120.167.241.255254
243120.167.242.0/24120.167.242.1 to 120.167.242.254120.167.242.255254
244120.167.243.0/24120.167.243.1 to 120.167.243.254120.167.243.255254
245120.167.244.0/24120.167.244.1 to 120.167.244.254120.167.244.255254
246120.167.245.0/24120.167.245.1 to 120.167.245.254120.167.245.255254
247120.167.246.0/24120.167.246.1 to 120.167.246.254120.167.246.255254
248120.167.247.0/24120.167.247.1 to 120.167.247.254120.167.247.255254
249120.167.248.0/24120.167.248.1 to 120.167.248.254120.167.248.255254
250120.167.249.0/24120.167.249.1 to 120.167.249.254120.167.249.255254
251120.167.250.0/24120.167.250.1 to 120.167.250.254120.167.250.255254
252120.167.251.0/24120.167.251.1 to 120.167.251.254120.167.251.255254
253120.167.252.0/24120.167.252.1 to 120.167.252.254120.167.252.255254
254120.167.253.0/24120.167.253.1 to 120.167.253.254120.167.253.255254
255120.167.254.0/24120.167.254.1 to 120.167.254.254120.167.254.255254
256120.167.255.0/24120.167.255.1 to 120.167.255.254120.167.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses